org.cybergarage.upnp.xml

## Class NodeData

- java.lang.Object
- - org.cybergarage.upnp.xml.NodeData

Direct Known Subclasses:
  ActionData, ArgumentData, DeviceData, ServiceData, StateVariable, StateVariableData

    public class NodeData
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`NodeData()`

### Method Summary

Methods
`Node` `getNode()`
`void` `setNode(Node node)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### NodeData

    public NodeData()

### Method Detail

#### setNode

    public void setNode(Node node)

#### getNode

    public Node getNode()